import { jsx } from "react/jsx-runtime";
import { TokenCPOOL as TokenCPOOL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCPOOL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CPOOL", "data-name": "TokenCPOOL", ...props, children: /* @__PURE__ */ jsx(TokenCPOOL$1, { variant }) });
  }
);
TokenCPOOL.displayName = "TokenCPOOL";
Object.assign(TokenCPOOL, { isGdsIcon: true });
export {
  TokenCPOOL
};
